Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231085 - Review Request: perl-Pugs-Compiler-Rule - Compiler for Perl 6 Rules
Summary: Review Request: perl-Pugs-Compiler-Rule - Compiler for Perl 6 Rules
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: perl-YAML-Syck
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 00:41 UTC by Steven Pritchard
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-18 23:56:47 UTC
panemade: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Steven Pritchard 2007-03-06 00:41:10 UTC
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Pugs-Compiler-Rule/perl-Pugs-Compiler-Rule.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Pugs-Compiler-Rule-0.20-1.src.rpm
Description:
This module provides an implementation for Perl 6 Rules.

Comment 1 Parag AN(पराग) 2007-03-26 06:30:09 UTC
Unable to download.

Comment 2 Steven Pritchard 2007-03-26 15:18:02 UTC
Looks like my ftp server is having issues.  It should be back up now.

Comment 3 Parag AN(पराग) 2007-03-27 07:16:22 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
ce75b08a0b2a294502492c3423ae165f  Pugs-Compiler-Rule-0.20.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
Skip blib/lib/Pugs/Emitter/Rule/Perl5/Ratchet.pm (unchanged)
Skip blib/lib/Pugs/Grammar/Rule2.pm (unchanged)
Skip blib/lib/Pugs/Compiler/Regex.pm (unchanged)
Skip blib/lib/Pugs/Runtime/Match/HsBridge.pm (unchanged)
Skip blib/lib/Pugs/Runtime/Match.pm (unchanged)
Skip blib/lib/Pugs/Compiler/Rule.pm (unchanged)
Skip blib/lib/Pugs/Runtime/Common.pm (unchanged)
Skip blib/lib/Pugs/Grammar/Rule.pm (unchanged)
Skip blib/lib/Pugs/Emitter/Rule/Perl5.pm (unchanged)
Skip blib/lib/Pugs/Runtime/Regex.pm (unchanged)
Skip blib/lib/Pugs/Grammar/Rule.pmc (unchanged)
Skip blib/lib/Pugs/Grammar/Precedence.pm (unchanged)
Skip blib/lib/Pugs/Compiler/Token.pm (unchanged)
Skip blib/lib/Pugs/Grammar/Base.pm (unchanged)
Skip blib/lib/Pugs/Runtime/Rule.pm (unchanged)
Skip blib/lib/Pugs/Compiler/RegexPerl5.pm (unchanged)
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'inc', 'blib/lib', 'blib/arch')" t/*.t
t/01-iterator_engine....ok
t/02-grammar............ok
t/03-match..............ok
t/04-rule...............ok
t/05-var................ok
t/06-subrule............ok
        2/33 skipped: various reasons
t/08-hash...............ok
t/09-ratchet............ok
t/10-regex_perl5........ok
t/11-quantifier.........ok
All tests successful, 2 subtests skipped.
Files=10, Tests=358,  9 wallclock secs ( 6.75 cusr +  0.30 csys =  7.05 CPU)
+ Provides: perl(Pugs::Compiler::Regex) perl(Pugs::Compiler::RegexPerl5)
perl(Pugs::Compiler::Rule) perl(Pugs::Compiler::Token)
perl(Pugs::Emitter::Rule::Perl5) perl(Pugs::Emitter::Rule::Perl5::Ratchet)
perl(Pugs::Grammar::Base) perl(Pugs::Grammar::Rule) perl(Pugs::Runtime::Common)
perl(Pugs::Runtime::Match) perl(Pugs::Runtime::Match::HsBridge)
perl(Pugs::Runtime::Regex) perl(Pugs::Runtime::Rule)


Why make test skipped? Is that one expected one or I am missing anything?

Comment 4 Steven Pritchard 2007-03-28 15:13:54 UTC
(In reply to comment #3)
> Why make test skipped? Is that one expected one or I am missing anything?

AFAIK that's normal.

Comment 5 Parag AN(पराग) 2007-03-29 04:05:10 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Why make test skipped? Is that one expected one or I am missing anything?
> 
> AFAIK that's normal.

Ok. APPROVED.

Comment 6 Steven Pritchard 2007-05-01 18:23:58 UTC
New Package CVS Request
=======================
Package Name: perl-Pugs-Compiler-Rule
Short Description: Compiler for Perl 6 Rules
Owners: steve@silug.org
Branches: FC-5 FC-6 EL-4 EL-5
InitialCC: fedora-perl-devel-list@redhat.com


Comment 7 Steven Pritchard 2007-05-18 23:56:47 UTC
Imported, builds requested, etc.

Thanks.

Comment 8 Steven Pritchard 2007-05-23 18:26:18 UTC
Package Change Request
======================
Package Name: perl-Pugs-Compiler-Rule
New Branches: F-7

This is going to need a F-7 branch in order to avoid upgrade problems.

Comment 9 Jens Petersen 2007-05-27 03:30:00 UTC
branch added


Note You need to log in before you can comment on or make changes to this bug.